//----------------------------------------------------------------------------
//
// File:        screenio.hpp
// Date:        23-Feb-1998
// Programmer:  Marc Rousseau
//
// Description:
//
// Copyright (c) 1998-2000 Marc Rousseau, All Rights Reserved.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307, USA.
//
// Revision History:
//
//----------------------------------------------------------------------------

#ifndef _SCREENIO_HPP_
#define _SCREENIO_HPP_

extern int curX;
extern int curY;

void GotoXY ( int x, int y );
void PutXY ( int x, int y, char *ptr, int length );
void Put ( char *ptr, int length );

void outByte ( UCHAR val );
void outWord ( USHORT val );
void outLong ( ULONG val );

int  GetKey ();
bool KeyPressed ();

void SaveConsoleSettings ();
void RestoreConsoleSettings ();

void ClearScreen ();
void HideCursor ();
void ShowCursor ();

#endif

